Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Class CIBManagedObject

    java.lang.Object
      com.sun.mfwk.cib.CIBObject
          com.sun.mfwk.cib.CIBManagedObject

All Implemented Interfaces:
  CIBManagedObjectIf, CIBManagedObjectMBean, CIBObjectMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

Direct Known Subclasses:
  CIBMonitoredObject

public abstract class CIBManagedObject
extends CIBObject
implements CIBManagedObjectIf, CIBManagedObjectMBean, javax.management.NotificationEmitter

Default implementation of a CIB Managed Object MBean.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`ModelVersion`

Constructor Summary
`CIBManagedObject()`

Method Summary
`void` | `addNotificationListener(javax.management.NotificationListener notificationListener, javax.management.NotificationFilter notificationFilter, java.lang.Object object)` addNotificationListener
`java.lang.String` | `getDescription()` Returns a description for the Managed object
`javax.management.ObjectName` | `getJ2eeSibling()` Returns the ObjectName of J2eeApplication possibly attached
`javax.management.MBeanNotificationInfo[]` | `getNotificationInfo()` getNotificationInfo
`boolean` | `isEventProvider()` Returns true if the managed object is an Event Provider else returns false
`void` | `removeNotificationListener(javax.management.NotificationListener notificationListener)` removeNotificationListener
`void` | `removeNotificationListener(javax.management.NotificationListener notificationListener, javax.management.NotificationFilter notificationFilter, java.lang.Object object)` removeNotificationListener
`void` | `setDescription(java.lang.String description)` Sets the description of the managed Object
`void` | `setEventProvider(boolean isEventProvider)` Allows to switch On/Off the JMX event notifications from the managed object Not implemented in this version the event provision switch is not activated inside this implementation.
`void` | `setJ2eeSibling(javax.management.ObjectName j2eeSibling)` Allows to set the reference to the J2ee application

Methods inherited from class com.sun.mfwk.cib.CIBObject
`getModelVersion, getName, getType, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`getModelVersion, getName, getType`

Constructor Detail

### CIBManagedObject

    public CIBManagedObject()

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns a description for the Managed object

  Specified by:
    `getDescription` in interface `CIBManagedObjectMBean`
  Returns:
    String

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of the managed Object

  Specified by:
    `setDescription` in interface `CIBManagedObjectIf`
  Parameters:
    `description` - String

### isEventProvider

    public boolean isEventProvider()

  Returns true if the managed object is an Event Provider else returns false

  Specified by:
    `isEventProvider` in interface `CIBManagedObjectMBean`
  Returns:
    boolean

### setEventProvider

    public void setEventProvider(boolean isEventProvider)

  Allows to switch On/Off the JMX event notifications from the managed object Not implemented in this version the event provision switch is not activated inside this implementation.

  Specified by:
    `setEventProvider` in interface `CIBManagedObjectMBean`
  Parameters:
    `isEventProvider` - boolean

### setJ2eeSibling

    public void setJ2eeSibling(javax.management.ObjectName j2eeSibling)

  Allows to set the reference to the J2ee application

  Parameters:
    `j2eeSibling` - ObjectName

### getJ2eeSibling

    public javax.management.ObjectName getJ2eeSibling()

  Returns the ObjectName of J2eeApplication possibly attached

  Returns:
    javax.management.ObjectName

### removeNotificationListener

    public void removeNotificationListener(javax.management.NotificationListener notificationListener,
                                           javax.management.NotificationFilter notificationFilter,
                                           java.lang.Object object)
                                    throws javax.management.ListenerNotFoundException

  removeNotificationListener

  Specified by:
    `removeNotificationListener` in interface `javax.management.NotificationEmitter`
  Parameters:
    `notificationListener` - NotificationListener
    `notificationFilter` - NotificationFilter
    `object` - Object
  Throws:
    `javax.management.ListenerNotFoundException`

### addNotificationListener

    public void addNotificationListener(javax.management.NotificationListener notificationListener,
                                        javax.management.NotificationFilter notificationFilter,
                                        java.lang.Object object)

  addNotificationListener

  Specified by:
    `addNotificationListener` in interface `javax.management.NotificationBroadcaster`
  Parameters:
    `notificationListener` - NotificationListener
    `notificationFilter` - NotificationFilter
    `object` - Object

### removeNotificationListener

    public void removeNotificationListener(javax.management.NotificationListener notificationListener)
                                    throws javax.management.ListenerNotFoundException

  removeNotificationListener

  Specified by:
    `removeNotificationListener` in interface `javax.management.NotificationBroadcaster`
  Parameters:
    `notificationListener` - NotificationListener
  Throws:
    `javax.management.ListenerNotFoundException`

### getNotificationInfo

    public javax.management.MBeanNotificationInfo[] getNotificationInfo()

  getNotificationInfo

  Specified by:
    `getNotificationInfo` in interface `javax.management.NotificationBroadcaster`
  Returns:
    MBeanNotificationInfo[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD